Subject: bug#15312: Info (point-entered, point-left): Doc incomplete, hence incorrect

From: Stefan Monnier <[email-masked]>
Date: Fri, 13 Sep 2013 16:32:16 -0400

> (Personally, I think this test is just an attempt to optimize costly
> text property comparisons when they are not necessary.)

Agreed.

> To get this right, we need to decide what is the correct behavior in
> this case.  Do we want the hooks to be called for each point motion,
> or do we want them to be called only at point-min and point-max?

I think the correct thing to do is too costly for an operation that's
performed every time we move point.

The right thing to do is to declare point-entered and point-left
properties as obsolete and replace them by something like cursor-entered
and cursor-left properties which are only checked at command boundaries
(or better, checked just before redisplay).

        Stefan